From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Getopt-Euclid/
Date: Wed, 1 Aug 2012 01:44:44 +0000 (UTC) [thread overview]
Message-ID: <1343785087.59c6faa0d693b2e09ca7a191bea949a668acf54c.kent@gentoo> (raw)
commit: 59c6faa0d693b2e09ca7a191bea949a668acf54c
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Wed Aug 1 01:38:07 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Wed Aug 1 01:38:07 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=59c6faa0
[newversion] Getopt-Euclid-0.3.6
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)
---
dev-perl/Getopt-Euclid/ChangeLog | 6 ++
dev-perl/Getopt-Euclid/Getopt-Euclid-0.3.6.ebuild | 52 +++++++++++++++++++++
2 files changed, 58 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Getopt-Euclid/ChangeLog b/dev-perl/Getopt-Euclid/ChangeLog
index 19db987..bee8797 100644
--- a/dev-perl/Getopt-Euclid/ChangeLog
+++ b/dev-perl/Getopt-Euclid/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Getopt-Euclid-0.3.6 (31 Jul 2012)
+
+ 31 Jul 2012; Kent Fredric <kentfredric@gmail.com>
+ +Getopt-Euclid-0.3.6.ebuild:
+ Version Bump
+
06 Apr 2012; Kent Fredric <kentfredric@gmail.com>
-Getopt-Euclid-0.2.1.ebuild:
Gone on CPAN
diff --git a/dev-perl/Getopt-Euclid/Getopt-Euclid-0.3.6.ebuild b/dev-perl/Getopt-Euclid/Getopt-Euclid-0.3.6.ebuild
new file mode 100644
index 0000000..e1bb60b
--- /dev/null
+++ b/dev-perl/Getopt-Euclid/Getopt-Euclid-0.3.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=FANGLY
+MODULE_VERSION=0.3.6
+inherit perl-module
+
+DESCRIPTION='Executable Uniform Command-Line Interface Descriptions'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+ echo " || ( virtual/perl-Module-Build >=virtual/perl-ExtUtils-MakeMaker-6.36 )"
+}
+perl_meta_build() {
+ # ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+ echo " || ( virtual/perl-Module-Build >=virtual/perl-ExtUtils-MakeMaker-6.36 )"
+ # Pod::Checker
+ echo virtual/perl-PodParser
+ # Test::More
+ echo virtual/perl-Test-Simple
+}
+perl_meta_runtime() {
+ # File::Basename
+ echo dev-lang/perl
+ # File::Spec::Functions
+ echo virtual/perl-File-Spec
+ # List::Util
+ echo virtual/perl-Scalar-List-Utils
+ # Pod::PlainText
+ echo virtual/perl-PodParser
+ # Pod::Select
+ echo virtual/perl-PodParser
+ # Text::Balanced
+ echo virtual/perl-Text-Balanced
+ # perl 5.005 ( 5.5.0 )
+ echo \>=dev-lang/perl-5.5.0
+ # version
+ echo virtual/perl-version
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-08-01 1:45 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-08-01 1:44 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-03-26 3:21 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Getopt-Euclid/ Kent Fredric
2015-03-26 3:21 Kent Fredric
2014-07-22 2:49 Kent Fredric
2013-02-09 13:27 Kent Fredric
2012-08-12 12:07 Kent Fredric
2012-04-06 20:42 Kent Fredric
2012-02-27 1:59 Kent Fredric
2011-09-24 14:04 Kent Fredric
2011-07-15 16:15 Kent Fredric
2011-07-04 10:41 Kent Fredric
2011-06-07 5:59 Kent Fredric
2011-05-08 16:10 [gentoo-commits] proj/perl-overlay:perl514 " Kent Fredric
2011-05-06 11:03 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric
2011-05-06 11:03 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1343785087.59c6faa0d693b2e09ca7a191bea949a668acf54c.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox